Help

0

Error to render compiling AST MissingError: Record does not exist or has been deleted.

Avatar
Michael McMullen

I have been facing this error recently, the strange thing its happing only with 30% of the products, all other products works fine. I was trying to find what is breaking it, but no luck, I hope someone can help me! I compared the working products with the one aren't both has identical information.


Qweb Error:

\QWeb

Error message:

Error to render compiling AST
MissingError: Record does not exist or has been deleted.
(Record: product.product(91,), User: 1)
Template: website_product_configurator.cfg_product
Path: /t/t[1]
Node: <t t-set="combination_info" t-value="product._get_combination_info(product_id=product.id, add_qty=add_qty or 1, pricelist=pricelist)"/>
        

The error occured while rendering the template website_product_configurator.cfg_product and evaluating the following expression: <t t-set="combination_info" t-value="product._get_combination_info(product_id=product.id, add_qty=add_qty or 1, pricelist=pricelist)"/>

\Traceback

Traceback (most recent call last):
  File "C:\Program Files\Odoo 14.0.20210225\server\odoo\addons\base\models\ir_http.py", line 237, in _dispatch
    result = request.dispatch()
  File "C:\Program Files\Odoo 14.0.20210225\server\odoo\http.py", line 806, in dispatch
    r = self._call_function(**self.params)
  File "C:\Program Files\Odoo 14.0.20210225\server\odoo\http.py", line 359, in _call_function
    return checked_call(self.db, *args, **kwargs)
  File "C:\Program Files\Odoo 14.0.20210225\server\odoo\service\model.py", line 94, in wrapper
    return f(dbname, *args, **kwargs)
  File "C:\Program Files\Odoo 14.0.20210225\server\odoo\http.py", line 350, in checked_call
    result.flatten()
  File "C:\Program Files\Odoo 14.0.20210225\server\odoo\http.py", line 1242, in flatten
    self.response.append(self.render())
  File "C:\Program Files\Odoo 14.0.20210225\server\odoo\http.py", line 1235, in render
    return env["ir.ui.view"]._render_template(self.template, self.qcontext)
  File "C:\Program Files\Odoo 14.0.20210225\server\odoo\addons\base\models\ir_ui_view.py", line 1709, in _render_template
    return self.browse(self.get_view_id(template))._render(values, engine)
  File "C:\Program Files\Odoo 14.0.20210225\server\odoo\addons\website\models\ir_ui_view.py", line 411, in _render
    return super(View, self)._render(values, engine=engine, minimal_qcontext=minimal_qcontext)
  File "C:\Program Files\Odoo 14.0.20210225\server\odoo\addons\web_editor\models\ir_ui_view.py", line 28, in _render
    return super(IrUiView, self)._render(values=values, engine=engine, minimal_qcontext=minimal_qcontext)
  File "C:\Program Files\Odoo 14.0.20210225\server\odoo\addons\base\models\ir_ui_view.py", line 1717, in _render
    return self.env[engine]._render(self.id, qcontext)
  File "C:\Program Files\Odoo 14.0.20210225\server\odoo\addons\base\models\ir_qweb.py", line 55, in _render
    result = super(IrQWeb, self)._render(id_or_xml_id, values=values, **context)
  File "C:\Program Files\Odoo 14.0.20210225\server\odoo\addons\base\models\qweb.py", line 258, in _render
    self.compile(template, options)(self, body.append, values or {})
  File "C:\Program Files\Odoo 14.0.20210225\server\odoo\addons\base\models\qweb.py", line 338, in _compiled_fn
    raise QWebException("Error to render compiling AST", e, path, node and etree.tostring(node[0], encoding='unicode'), name)
Exception
The above exception was the direct cause of the following exception:
Traceback (most recent call last):
  File "C:\Program Files\Odoo 14.0.20210225\server\odoo\addons\base\models\ir_http.py", line 237, in _dispatch
    result = request.dispatch()
  File "C:\Program Files\Odoo 14.0.20210225\server\odoo\http.py", line 806, in dispatch
    r = self._call_function(**self.params)
  File "C:\Program Files\Odoo 14.0.20210225\server\odoo\http.py", line 359, in _call_function
    return checked_call(self.db, *args, **kwargs)
  File "C:\Program Files\Odoo 14.0.20210225\server\odoo\service\model.py", line 94, in wrapper
    return f(dbname, *args, **kwargs)
  File "C:\Program Files\Odoo 14.0.20210225\server\odoo\http.py", line 350, in checked_call
    result.flatten()
  File "C:\Program Files\Odoo 14.0.20210225\server\odoo\http.py", line 1242, in flatten
    self.response.append(self.render())
  File "C:\Program Files\Odoo 14.0.20210225\server\odoo\http.py", line 1235, in render
    return env["ir.ui.view"]._render_template(self.template, self.qcontext)
  File "C:\Program Files\Odoo 14.0.20210225\server\odoo\addons\base\models\ir_ui_view.py", line 1709, in _render_template
    return self.browse(self.get_view_id(template))._render(values, engine)
  File "C:\Program Files\Odoo 14.0.20210225\server\odoo\addons\website\models\ir_ui_view.py", line 411, in _render
    return super(View, self)._render(values, engine=engine, minimal_qcontext=minimal_qcontext)
  File "C:\Program Files\Odoo 14.0.20210225\server\odoo\addons\web_editor\models\ir_ui_view.py", line 28, in _render
    return super(IrUiView, self)._render(values=values, engine=engine, minimal_qcontext=minimal_qcontext)
  File "C:\Program Files\Odoo 14.0.20210225\server\odoo\addons\base\models\ir_ui_view.py", line 1717, in _render
    return self.env[engine]._render(self.id, qcontext)
  File "C:\Program Files\Odoo 14.0.20210225\server\odoo\addons\base\models\ir_qweb.py", line 55, in _render
    result = super(IrQWeb, self)._render(id_or_xml_id, values=values, **context)
  File "C:\Program Files\Odoo 14.0.20210225\server\odoo\addons\base\models\qweb.py", line 258, in _render
    self.compile(template, options)(self, body.append, values or {})
  File "C:\Program Files\Odoo 14.0.20210225\server\odoo\addons\base\models\qweb.py", line 338, in _compiled_fn
    raise QWebException("Error to render compiling AST", e, path, node and etree.tostring(node[0], encoding='unicode'), name)
odoo.addons.base.models.qweb.QWebException: Record does not exist or has been deleted.
(Record: product.product(91,), User: 1)
Traceback (most recent call last):
  File "C:\Program Files\Odoo 14.0.20210225\server\odoo\api.py", line 790, in get
    return field_cache[record._ids[0]]
KeyError: 91
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
  File "C:\Program Files\Odoo 14.0.20210225\server\odoo\fields.py", line 970, in __get__
    value = env.cache.get(record, self)
  File "C:\Program Files\Odoo 14.0.20210225\server\odoo\api.py", line 793, in get
    raise CacheMiss(record, field)
odoo.exceptions.CacheMiss: 'product.product(91,).config_ok'
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
  File "C:\Program Files\Odoo 14.0.20210225\server\odoo\api.py", line 790, in get
    return field_cache[record._ids[0]]
KeyError: 91
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
  File "C:\Program Files\Odoo 14.0.20210225\server\odoo\fields.py", line 970, in __get__
    value = env.cache.get(record, self)
  File "C:\Program Files\Odoo 14.0.20210225\server\odoo\api.py", line 793, in get
    raise CacheMiss(record, field)
odoo.exceptions.CacheMiss: 'product.product(91,).product_tmpl_id'
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
  File "C:\Program Files\Odoo 14.0.20210225\server\odoo\fields.py", line 1019, in __get__
    self.compute_value(recs)
  File "C:\Program Files\Odoo 14.0.20210225\server\odoo\fields.py", line 1175, in compute_value
    records._compute_field_value(self)
  File "C:\Program Files\Odoo 14.0.20210225\server\odoo\addons\mail\models\mail_thread.py", line 410, in _compute_field_value
    return super()._compute_field_value(field)
  File "C:\Program Files\Odoo 14.0.20210225\server\odoo\models.py", line 4061, in _compute_field_value
    field.compute(self)
  File "C:\Program Files\Odoo 14.0.20210225\server\odoo\fields.py", line 541, in _compute_related
    values = [first(value[name]) for value in values]
  File "C:\Program Files\Odoo 14.0.20210225\server\odoo\fields.py", line 541, in <listcomp>
    values = [first(value[name]) for value in values]
  File "C:\Program Files\Odoo 14.0.20210225\server\odoo\models.py", line 5664, in __getitem__
    return self._fields[key].__get__(self, type(self))
  File "C:\Program Files\Odoo 14.0.20210225\server\odoo\fields.py", line 2483, in __get__
    return super().__get__(records, owner)
  File "C:\Program Files\Odoo 14.0.20210225\server\odoo\fields.py", line 1000, in __get__
    raise MissingError("\n".join([
odoo.exceptions.MissingError: Record does not exist or has been deleted.
(Record: product.product(91,), User: 1)
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
  File "C:\Program Files\Odoo 14.0.20210225\server\odoo\api.py", line 790, in get
    return field_cache[record._ids[0]]
KeyError: 91
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
  File "C:\Program Files\Odoo 14.0.20210225\server\odoo\fields.py", line 970, in __get__
    value = env.cache.get(record, self)
  File "C:\Program Files\Odoo 14.0.20210225\server\odoo\api.py", line 793, in get
    raise CacheMiss(record, field)
odoo.exceptions.CacheMiss: 'product.product(91,).product_tmpl_id'
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
  File "C:\Program Files\Odoo 14.0.20210225\server\odoo\addons\base\models\qweb.py", line 331, in _compiled_fn
    return compiled(self, append, new, options, log)
  File "<template>", line 1, in template_website_product_configurator_cfg_product_1096
  File "C:\Program Files\Odoo 14.0.20210225\server\odoo\addons\website_sale_stock\models\product_template.py", line 20, in _get_combination_info
    combination_info = super(ProductTemplate, self)._get_combination_info(
  File "C:\Program Files\Odoo 14.0.20210225\server\odoo\addons\website_sale\models\product.py", line 284, in _get_combination_info
    combination_info = super(ProductTemplate, self)._get_combination_info(
  File "C:\Program Files\Odoo 14.0.20210225\server\odoo\addons\sale\models\product_template.py", line 238, in _get_combination_info
    list_price = product.price_compute('list_price')[product.id]
  File "c:\users\sami\pycharmprojects\odoo-14.0.1\custom\product_configurator\models\product.py", line 635, in price_compute
    standard_products = self.filtered(lambda a: not a.config_ok)
  File "C:\Program Files\Odoo 14.0.20210225\server\odoo\models.py", line 5279, in filtered
    return self.browse([rec.id for rec in self if func(rec)])
  File "C:\Program Files\Odoo 14.0.20210225\server\odoo\models.py", line 5279, in <listcomp>
    return self.browse([rec.id for rec in self if func(rec)])
  File "c:\users\sami\pycharmprojects\odoo-14.0.1\custom\product_configurator\models\product.py", line 635, in <lambda>
    standard_products = self.filtered(lambda a: not a.config_ok)
  File "C:\Program Files\Odoo 14.0.20210225\server\odoo\fields.py", line 1021, in __get__
    self.compute_value(record)
  File "C:\Program Files\Odoo 14.0.20210225\server\odoo\fields.py", line 1175, in compute_value
    records._compute_field_value(self)
  File "C:\Program Files\Odoo 14.0.20210225\server\odoo\addons\mail\models\mail_thread.py", line 410, in _compute_field_value
    return super()._compute_field_value(field)
  File "C:\Program Files\Odoo 14.0.20210225\server\odoo\models.py", line 4061, in _compute_field_value
    field.compute(self)
  File "C:\Program Files\Odoo 14.0.20210225\server\odoo\fields.py", line 541, in _compute_related
    values = [first(value[name]) for value in values]
  File "C:\Program Files\Odoo 14.0.20210225\server\odoo\fields.py", line 541, in <listcomp>
    values = [first(value[name]) for value in values]
  File "C:\Program Files\Odoo 14.0.20210225\server\odoo\models.py", line 5664, in __getitem__
    return self._fields[key].__get__(self, type(self))
  File "C:\Program Files\Odoo 14.0.20210225\server\odoo\fields.py", line 2483, in __get__
    return super().__get__(records, owner)
  File "C:\Program Files\Odoo 14.0.20210225\server\odoo\fields.py", line 1000, in __get__
    raise MissingError("\n".join([
odoo.exceptions.MissingError: Record does not exist or has been deleted.
(Record: product.product(91,), User: 1)
Error to render compiling AST
MissingError: Record does not exist or has been deleted.
(Record: product.product(91,), User: 1)
Template: website_product_configurator.cfg_product
Path: /t/t[1]
Node: <t t-set="combination_info" t-value="product._get_combination_info(product_id=product.id, add_qty=add_qty or 1, pricelist=pricelist)"/>
        


头像
丢弃